<?php
include_once 'sys/fnc.php';

if (isset($user)) header('Location: /');
$error = false;
$errort = '';

// Проверка на реф
if (isset($_GET['id'])){
$refs = '?id_ref='.intval($_GET['id_ref']);
}else{
$refs = NULL;
}

if (isset($_POST['registration'])) {
	if (strlen($_POST['login']) < 4) {
		$error = true;
		$errort .= '<div class="alert alert-danger">Длина логина должна быть не менее 4-х символов.</div>';
	} elseif (strlen($_POST['login']) > 15) {
		$error = true;
		$errort .= '<div class="alert alert-danger">Длина логина должна быть не более 15-и символов.</div>';
	} elseif(!preg_match("#^([A-z0-9\_])+$#ui", $_POST['login'])) {
		$error = true;
		$errort .= '<div class="alert alert-danger">В нике присутствуют запрещенные символы.</div>';
	}
	if (strlen($_POST['pass']) < 4) {
		$error = true;
		$errort .= '<div class="alert alert-danger">Длина пароля должна быть не менее 4-х символов.</div>';
	} elseif (strlen($_POST['pass']) > 15) {
		$error = true;
		$errort .= '<div class="alert alert-danger">Длина пароля должна быть не более 15-и символов.</div>';
	}
	if ($_POST['pass'] != $_POST['pass2']) {
		$error = true;
		$errort .= '<div class="alert alert-danger">Пароли не совпадают.</div>';
	}
	$sql = mysql_query("SELECT `id` FROM `user` WHERE `login` = '". $_POST['login'] ."' LIMIT 1");
	if (mysql_num_rows($sql) == 1) {
		$error = true;
		$errort .= '<div class="alert alert-danger">Пользователь с таким логином уже существует.</div>';
	}

	if (!$error) {
		$title = 'Регистрация';
		include 'sys/head.php';
		$login = html($_POST['login']);
		$pass = html($_POST['pass']);
		$pass2 = html($_POST['pass2']);
		mysql_query("INSERT INTO `user` SET `login` = '". $login ."', `pass` = '". in_md5($pass) ."', `pol` = '". intval($_POST['pol']) ."', `time_reg` = '".time()."'");
		setcookie('login', $login, time()+60*60*24*14);
		setcookie('pass', $pass, time()+60*60*24*14);
		$_SESSION['user_id'] = $user->id;

		if (isset($_GET['id_ref']) && mysql_num_rows(mysql_query("SELECT `id` FROM `user` WHERE `id` = '". intval($_GET['id_ref']) ."'"))==1){
		mysql_query("UPDATE `user` SET `ref` = `".$refs."` WHERE `id` = '".$user->id."' LIMIT 1");
		}

		echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p><div class="err">Аккаунт успешно зарегистрирован!<br> После каждого входа жмите на главную!!!<br> Спасибо за регистрацию!)</div>
		<div class="menu"><a href="/login.php?login='.$login.'&pass='.$pass.'">На сайт</a></div></p></div></div></div>';
		include 'sys/foot.php';
		exit;
	}
}

$title = 'Регистрация';
include_once 'sys/head.php';
echo ' '. $errort;
echo '
<div class="card">
                    <div class="card__header">
                        <h2>Регистрация <small>Регистрация нужна для полного пользавания системой хостинга!
                        </small></h2>
                    </div>

                    <div class="card__body">
                        
						
						
<div class="post"><form method="post">
Логин:<br><input type="text" class="form-control input-sm" name="login" '. (isset($_POST['login']) ? 'value="'. htmlspecialchars($_POST['login']) .'"' : null) .' />
<br>Пароль:<br><input type="text" class="form-control input-sm" name="pass" '. (isset($_POST['pass']) ? 'value="'. htmlspecialchars($_POST['pass']) .'"' : null) .' />
<br>Повторите пароль:<br><input type="text" class="form-control input-sm" name="pass2" '. (isset($_POST['pass2']) ? 'value="'. htmlspecialchars($_POST['pass2']) .'"' : null) .' />
<br>Ваш пол:<br><select class="form-control input-sm" name="pol">
<option value="1">Мужской</option><option value="0">Женский</option></select><br>';

echo '<br><input type="submit" class="btn btn-default" name="registration" value="Зарегистрироваться" />
</form></div>
                    </div>
                </div>
';
include_once 'sys/foot.php';
?>